/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 * 
 * $Id: CountingConfigurator.java 72737 2013-08-28 16:53:28Z supol $
 */

package com.sun.ts.tests.websocket.ee.javax.websocket.server.serverendpoint;

import java.util.concurrent.atomic.AtomicInteger;

import javax.websocket.server.ServerEndpointConfig.Configurator;

public class CountingConfigurator extends Configurator {
	public final static AtomicInteger COUNTER = new AtomicInteger(0);

	public CountingConfigurator() {
		COUNTER.incrementAndGet();
	}
	
	public CountingConfigurator(boolean b){
	}

	public int getCounterValue() {
		return COUNTER.intValue();
	}
}
